## libnss-pgsql 1.0.0

=== doc/Makefile ===
# the compilers
# everything you need is in package debiandoc-sgml
TXTC=debiandoc2text
TOVC=debiandoc2textov
TEXC=debiandoc2latex
TEXIC=debiandoc2texinfo
HTMLC=debiandoc2html
PSC=debiandoc2latexps
PDFC=debiandoc2latexpdf

OPTS=-l en

SRCS=$(wildcard *.sgml)
TXTDOCS=$(SRCS:.sgml=.txt)
TOVDOCS=$(SRCS:.sgml=.tov)
TEXDOCS=$(SRCS:.sgml=.tex)
TEXIDOCS=$(SRCS:.sgml=.info)
HTMLDOCS=$(SRCS:.sgml=.html)
PSDOCS=$(SRCS:.sgml=.ps)
PDFDOCS=$(SRCS:.sgml=.pdf)
DOCS=$(TXTDOCS) $(TOVDOCS) $(TEXDOCS) $(TEXIDOCS) $(HTMLDOCS) $(PSDOCS) $(PDFDOCS)

.PHONY:default text tov latex texi html postscript pdf all clean

default:text

text:$(TXTDOCS)

textov:$(TOVDOCS)

latex:$(TEXDOCS)

info:$(TEXIDOCS)

html:$(HTMLDOCS)

postscript:$(PSDOCS)

pdf:$(PDFDOCS)

all:$(DOCS)

%.txt:%.sgml
	$(TXTC) $(OPTS) $<

%.tov:%.sgml
	$(TOVC) $(OPTS) $<

%.tex:%.sgml
	$(TEXC) $(OPTS) $<

%.texinfo:%.sgml
	$(TEXIC) $(OPTS) $<

%.html:%.sgml
	$(HTMLC) $(OPTS) $<

%.ps:%.sgml
	$(PSC) $(OPTS) $<

%.pdf:%.sgml
	$(PDFC) $(OPTS) $<

clean:
	rm -rf $(DOCS)

## libnss-pgsql 1.3

=== debian/changelog ===
libnss-pgsql (1.3) unstable; urgency=low

  * Applied a patch to remove SIGBUS error on sparc (Closes: Bug#285431) 

 -- Christian Bayle <bayle@debian.org>  Fri, 25 Mar 2005 22:58:54 +0100

libnss-pgsql (1.2) unstable; urgency=low

  * Drop Debian revision from version
  * Modify res2pwd and res2gerp to set errnop to ERANGE if the buffer
    we get from libc is too small. Based on a patch from Matthijs Bomhoff
    and Jorik Jonker.

 -- Wichert Akkerman <wichert@wiggy.net>  Mon, 21 Mar 2005 00:07:24 +0100

libnss-pgsql (1.1-1) unstable; urgency=low

  * Move to forked source: this package is now maintained on Alioth
  * New release. Changes since last Debian version:
    - Added support to concatenated field in conf file
    - Added new entries in conf file to be able to write more
      understandable sql query directly in the file. Old syntax 
      should continue to work with extra concatenating feature.
    - Commented some now unused code (copy_attrval_n and copy_attrval)
      and added copy_attr_colnum to get rid of column search.

 -- Christian Bayle <bayle@debian.org>  Sun, 13 Feb 2005 10:57:58 +0100

libnss-pgsql (1.0.2-1.4) unstable; urgency=low

  * More changes: redo pretty much all the error handling. It 
    now differentiates between empty results and real errors
    and fixes at least one memory leak.

 -- Wichert Akkerman <wichert@wiggy.net>  Thu, 11 Nov 2004 17:01:33 +0100

libnss-pgsql (1.0.2-1.3) unstable; urgency=low

  * Use PQconnectdb instead of the obsolete PQsetdbLogin function.
    This also fixes a problem with accessing postgres after changing
    uid. Based on patch from Christian Bayle. Closes: Bug#279581

 -- Wichert Akkerman <wichert@wiggy.net>  Thu, 11 Nov 2004 15:39:12 +0100

libnss-pgsql (1.0.2-1.2) unstable; urgency=low

  * Fix handling of empty groups using patch from Florian Zumbiehl.
    Closes: Bug#204367
  * Add a postinst to restart nscd if it is installed and running
  * Modify debian/rules a bit to not use a build-stamp file so one
    does not have to delete it every time when debugging things
  * Drop dh_testroot from clean target: if you are not root it will
    fail anyway and since almost everyone uses fakeroot to build packages
    it is rarely useful

 -- Wichert Akkerman <wichert@wiggy.net>  Sun, 26 Sep 2004 23:08:43 +0200

libnss-pgsql (1.0.2-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Add "#define NOT_IN_libc" to src/interface.c to fix FTBFS.
    (Closes: #221073)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 15 Feb 2004 23:04:38 +0100

libnss-pgsql (1.0.2-1) unstable; urgency=low

  * New upstream version with really rebuilt autotools. (Closes: Bug#189976)

 -- Joerg Wendland <joergland@debian.org>  Mon, 21 Apr 2003 17:53:59 +0200

libnss-pgsql (1.0.1-1) unstable; urgency=low

  * New upstream version with rebuilt autotools.
  * Rebuild against newest libpq3. (Closes: Bug#189003)
  * Move from non-US to main.
  * Standards-Version 3.5.9.
  * Remove libc6-dev from Build-Depends.
  * DH_COMPAT=4

 -- Joerg Wendland <joergland@debian.org>  Wed, 16 Apr 2003 18:50:42 +0200

libnss-pgsql (1.0.0-4) unstable; urgency=low

  * rebuild against libpgsql2

 -- Joerg Wendland <joergland@debian.org>  Thu,  7 Mar 2002 21:47:07 +0100

libnss-pgsql (1.0.0-3) unstable; urgency=low

  * re-added accidently removed binary-* targets to debian/rules
    (Closes: #117624,#117623)

 -- Joerg Wendland <joergland@debian.org>  Tue, 30 Oct 2001 13:42:05 +0100

libnss-pgsql (1.0.0-2) unstable; urgency=low

  * added forgotten build-dep on debiandoc-sgml (Closes: #117407)

 -- Joerg Wendland <jorgland@sol.wohnheim.uni-ulm.de>  Sun, 28 Oct 2001 21:02:03 +0100

libnss-pgsql (1.0.0-1) unstable; urgency=low

  * new upstream version
  * included new debiandoc documentation in package
  * cut down debian/rules to necessary rules
  * adapted standards version 3.5.6
  * changed debian/copyright, included Bret as upstream author and a link to GPL
    instead of quoting GPL here
  * debian/control Suggests: nscd, libpam-pgsql
  * changed eMail-Address to d.o.

 -- Joerg Wendland <joergland@debian.org>  Sat, 27 Oct 2001 12:20:05 +0200

libnss-pgsql (0.9.2-1) unstable; urgency=low

  * fixed a bug when opening config file without error checking
  * changes due to policy violations

 -- Joerg Wendland <jorgland@sol.wohnheim.uni-ulm.de>  Wed, 12 Sep 2001 19:26:39 +0200

libnss-pgsql (0.9.1-1) unstable; urgency=high

  * security fixes
  * better packaging
  * moved configfile from /etc to /usr/share/<packag>/example according to
    11.7.3 policy manual

 -- Joerg Wendland <jorgland@sol.wohnheim.uni-ulm.de>  Mon, 27 Aug 2001 19:07:55 +0200

libnss-pgsql (0.9.0-1) unstable; urgency=low

  * Initial Release.

 -- Joerg Wendland <jorgland@sol.wohnheim.uni-ulm.de>  Mon, 20 Aug 2001 20:01:36 +0200

=== debian/control ===
Source: libnss-pgsql
Section: admin
Priority: extra
Maintainer: Wichert Akkerman <wichert@wiggy.net>
Uploaders: Christian Bayle <bayle@debian.org>, Joerg Wendland <joergland@debian.org>
Build-Depends: debhelper (>= 4.0), postgresql-dev (>= 7.1), debiandoc-sgml, automake1.9, autoconf (>=2.59a), xmlto
Standards-Version: 3.6.1

Package: libnss-pgsql1
Architecture: any
Depends: ${shlibs:Depends}
Suggests: nscd, libpam-pgsql
Description: name service switch module using PostgreSQL
 This module works as a replacement for the flat file databases /etc/passwd,
 /etc/group etc. It is a plugin to glibc's name service switch.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: configure build install binary binary-indep binary-arch clean

configure: configure.ac
	autoreconf -i

config.status: 
	dh_testdir
	./configure \
		--prefix=/usr \
		--libdir=/lib \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-docdir=\$${prefix}/share/doc/libnss-pgsql1 \
		--sysconfdir=/etc

build: config.status
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	-$(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary: binary-arch binary-indep

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installinfo
	dh_installchangelogs debian/changelog
	dh_installexamples
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## libnss-pgsql 1.3.1

=== debian/changelog ===
libnss-pgsql (1.3.1) unstable; urgency=low

  * NMU
  * Apply patch to fix database query deadlock (Closes: #329467)
  * Bump standards to 3.6.2.2
  * Remove config.log on clean

 -- Julien Danjou <acid@debian.org>  Sun, 16 Apr 2006 17:01:35 +0200

libnss-pgsql (1.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch to fix FTBFS on amd64 (Closes: #273800).

 -- Christian Bayle <myon@debian.org>  Tue, 14 Mar 2006 15:20:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Wichert Akkerman <wichert@wiggy.net>
 Uploaders: Christian Bayle <bayle@debian.org>, Joerg Wendland <joergland@debian.org>
 Build-Depends: debhelper (>= 4.0), postgresql-dev (>= 7.1), debiandoc-sgml, automake1.9, autoconf (>=2.59a), xmlto
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2.2
 
 Package: libnss-pgsql1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 clean:
 	dh_testdir
 	-$(MAKE) distclean
+	rm -f config.log
 	dh_clean 
 
 install: build

## libnss-pgsql 1.3.1ubuntu1

=== debian/changelog ===
libnss-pgsql (1.3.1ubuntu1) feisty; urgency=low

  * debian/control: Change obsolete build dependency postgresql-dev to
    libpq-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 11:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Wichert Akkerman <wichert@wiggy.net>
 Uploaders: Christian Bayle <bayle@debian.org>, Joerg Wendland <joergland@debian.org>
-Build-Depends: debhelper (>= 4.0), postgresql-dev (>= 7.1), debiandoc-sgml, automake1.9, autoconf (>=2.59a), xmlto
+Build-Depends: debhelper (>= 4.0), libpq-dev, debiandoc-sgml, automake1.9, autoconf (>=2.59a), xmlto
 Standards-Version: 3.6.2.2
 
 Package: libnss-pgsql1

## libnss-pgsql 1.3.2-0.1

=== debian/changelog ===
libnss-pgsql (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace build-dep on postgresql-dev by libpq-dev. Closes: #429979
  * Remove Wichert Akkerman as maintainer as wanted by him, and putting
    Christian Bayle in instead (and leave Joerg Wendland as uploader).
  * Increment upstream number to bypass +b1-packages on ftp-master.

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 21 Jul 2007 21:03:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libnss-pgsql
 Section: admin
 Priority: extra
-Maintainer: Wichert Akkerman <wichert@wiggy.net>
-Uploaders: Christian Bayle <bayle@debian.org>, Joerg Wendland <joergland@debian.org>
+Maintainer: Christian Bayle <bayle@debian.org>
+Uploaders: Joerg Wendland <joergland@debian.org>
 Build-Depends: debhelper (>= 4.0), libpq-dev, debiandoc-sgml, automake1.9, autoconf (>=2.59a), xmlto
 Standards-Version: 3.6.2.2

## libnss-pgsql 1.4.0debian

=== debian/changelog ===
libnss-pgsql (1.4.0debian-8) unstable; urgency=medium

  * debian/control: set myself as Maintainer because the team list does
    not exist anymore (Closes: #764680)
  * include full GFDL-1.1 text in debian/copyright

 -- Jan Dittberner <jandd@debian.org>  Fri, 10 Oct 2014 17:54:21 +0200

libnss-pgsql (1.4.0debian-7) unstable; urgency=medium

  * change Homepage to pgfoundry.org
  * switch Vcs-* fields to new collab-maint URLs

 -- Jan Dittberner <jandd@debian.org>  Wed, 08 Oct 2014 23:49:17 +0200

libnss-pgsql (1.4.0debian-6) unstable; urgency=medium

  * fix Vcs-* fields
  * bump Standards-Version to 3.9.6 (no changes)
  * use autotools-dev (Closes: #734032):
    - add autotools-dev to Build-Depends in debian/control
    - add --with autotools_dev to dh invocation in debian/rules
  * remove files generated by autotools
  * move upstream modifications into debian/patch/upstream-
    modifications.patch (Closes: #643194)
  * add autoconf, automake and libtool to Build-Depends, use autoreconf in
    dh_override_configure target
  * use wrap-and-sort on debian/control
  * switch to debhelper (>= 9) in debian/control and bump debian/compat level
    to 9 to add hardening flags automatically
  * debian/control: fix spelling error in description (Closes: #686957)
  * change debian/copyright to machine readable format, update copyright
    information
  * optimize override_dh_auto_clean and override_dh_install in
    debian/rules
  * remove Martin Krafft from Uploaders (Closes: #719088)

 -- Jan Dittberner <jandd@debian.org>  Wed, 08 Oct 2014 23:03:09 +0200

libnss-pgsql (1.4.0debian-5) unstable; urgency=low

  * Add Vcs-Git and Vcs-Browser fields to debian/control

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 14:58:44 +0100

libnss-pgsql (1.4.0debian-4) experimental; urgency=low

  * Add myself to uploaders.
  * switch from dpatch to quilt using
    /usr/share/doc/quilt/examples/dpatch2quilt.sh
    - rename debian/patches/*.dpatch to debian/patches/*.patch
    - add debian/patches/series, remove debian/patches/00list
    - debian/control: remove dpatch from Build-Depends
  * switch to source format 3.0 (quilt)
    - add debian/source/format
    - debian/rules: remove patching
  * switch to debhelper 7 and simplified dh rules
    - set debian/compat to 7
    - set debhelper Build-Depends in debian/control to (>= 7.0.50~)
    - add ${misc:Depends} to Depends in debian/control
    - use simplified rules in debian/rules
  * add debian/libnss-pgsql2.symbols
  * add debian/libnss-pgsql2.doc-base to register documentation with
    doc-base
  * add Homepage field to debian/control
  * improve description of libnss-pgsql2 in debian/control
  * bump Standards-Version in debian/control to 3.9.1
  * add a dummy debian/watch to make lintian happy
  * Fix "NSS continously reports 'Could not connect to the database'
    because of file permission issues" with patch
    debian/patches/08_supress_inappropriate_warnings.patch (Closes: #525953)

 -- Jan Dittberner <jandd@debian.org>  Mon, 27 Sep 2010 16:27:24 +0200

libnss-pgsql (1.4.0debian-3) unstable; urgency=low

  * Remove Joerg from uploaders.  Thanks for your work! (closes: #473330,
    #472241)
  * Use shadowconnectionstring in shadow example (closes: #494196)
  * Reference the tables by the names we have just used (closes: #499331)

 -- Stephen Gran <sgran@debian.org>  Sun, 28 Sep 2008 13:31:02 +0100

libnss-pgsql (1.4.0debian-2) unstable; urgency=low

  * Make default schema useable (closes: #355329, #364462, #364889)
  * Change short description to be more uniform with other NSS library
    descriptions (closes: #314911)

 -- Stephen Gran <sgran@debian.org>  Tue, 13 Nov 2007 00:25:09 +0000

libnss-pgsql (1.4.0debian-1) unstable; urgency=low

  [ Mark Hymers ]
  * Add dpatch support
  * Acknowledge previous NMUs (closes: #273555).
  * Pull in FTBFS patch for amd64 as 01_fix_locks.dpatch. Closes: #285431.
  * Pull in setgrent deadlock patch as 02_fix_retcode.dpatch. Closes: #329467.
  * Merge postgresql-dev change.  (closes: #429979, #429187, #409767, #396574)

  [ Stephen Gran ]
  * New upstream version targetted at unstable (closes: #363590)
  * Remove wiggy from the Maintainer field (closes: #432255)
  * Bump version number so that we can reupload orig tarball - somehow in the
    upload to experimental, a regular file got replaced with a symlink, and
    now the package is unbuildable without reuploading the orig.
  * Don't ignore errors on clean
  * Depend on foo-stamp targets in debian/rules so as not to rebuild things
    twice.
  * Add 03_fix_errno.dpatch to save value of *errnop, so that libc sees the
    ERANGE we mean to return (closes: #426179)
  * Add 04_use_array_for_getgrent.dpatch for a little performance on group
    queries
  * Using the pthread functions instead of __libc_lock directly should fix the
    FTBFS (closes: #427506, #233141)
  * Bug in old version no longer present, do not know when it was fixed.
    (closes: #278389)
  * Add AM_MAINTAINER_MODE
  * autoreconf
  * Drop Build-Dep on autotools
  * Use dh_install instead of dh_movefiles
  * Increase debian/compat to 5 and bump versioned Build-Dependency on
    debhelper
  * Add version script

 -- Stephen Gran <sgran@debian.org>  Sun, 11 Nov 2007 11:30:32 +0000

libnss-pgsql (1.4.0-1) experimental; urgency=low

  * New upstream version from pgfoundry

 -- Christian Bayle <bayle@debian.org>  Tue, 15 May 2007 23:00:22 +0200

=== debian/control ===
Source: libnss-pgsql
Section: admin
Priority: extra
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Christian Bayle <bayle@debian.org>,
           Stephen Gran <sgran@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               debiandoc-sgml,
               libpq-dev,
               libtool,
               xmlto
Standards-Version: 3.9.6
Homepage: http://pgfoundry.org/projects/sysauth/
Vcs-Git: git://anonscm.debian.org/collab-maint/libnss-pgsql.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libnss-pgsql.git

Package: libnss-pgsql2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libnss-pgsql1
Replaces: libnss-pgsql1
Provides: libnss-pgsql1
Suggests: libpam-pgsql, nscd
Description: NSS module for using PostgreSQL as a naming service
 This module works as a replacement for the flat file databases /etc/passwd,
 /etc/group etc. It is a plugin to glibc's name service switch.
 .
 The module uses tables in a PostgreSQL database to store user, group, and
 shadow information. The module can be configured to use custom queries to
 retrieve it's information from a database. The module allows one to separate
 the configuration for shadow information from group and user information to
 restrict access to shadow information to privileged users (i.e. root or the
 shadow group).

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	autoreconf -if
	./configure \
		--prefix=/usr \
		--libdir=/lib \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-docdir=\$${prefix}/share/doc/libnss-pgsql2 \
		--sysconfdir=/etc

override_dh_auto_clean:
ifeq (Makefile, $(wildcard Makefile))
	$(MAKE) maintainer-clean
endif
	rm -rf INSTALL Makefile.in aclocal.m4 autoconf/ configure config.h.in \
	       doc/Makefile.in src/Makefile.in


override_dh_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-pgsql2
	rm -f $(CURDIR)/debian/libnss-pgsql2/lib/libnss_pgsql.la \
	      $(CURDIR)/debian/libnss-pgsql2/lib/libnss_pgsql.a \
	      $(CURDIR)/debian/libnss-pgsql2/lib/libnss_pgsql.so

%:
	dh $@ --with autotools_dev

=== debian/watch ===
# there is no active upstream so there is nothing to watch
